package cron

import (
	"bwallet/service/coin_gas_service"
	"github.com/robfig/cron"
)

var c *cron.Cron

func Setup(){
	c = cron.New()

	c.AddFunc("* * * * * *", func() {
		gas_service := coin_gas_service.CoinGas{}
		gas_service.Etherscan()
	})

	c.AddFunc("* * * * * *", func() {
		gas_service := coin_gas_service.CoinGas{}
		gas_service.Btcscan()
	})

	c.Start()
}
